> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get card products inventory

> Retrieve inventory of card products, optionally filtered by product IDs.



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml get /card-products/inventory
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /card-products/inventory:
    get:
      tags:
        - Card Products
      summary: Get card products inventory
      description: Retrieve inventory of card products, optionally filtered by product IDs.
      parameters:
        - in: query
          name: productIds
          description: Optional array of product IDs to filter the inventory.
          schema:
            type: array
            items:
              type: integer
          example: 2
      responses:
        '200':
          description: A list of card product inventories.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    productId:
                      type: integer
                      description: ID of the card product.
                      example: 2
                    inventory:
                      type: object
                      description: >-
                        An object where the keys are card statuses from the
                        `CardStatus` enum and the values are the count of cards
                        in that status.
                      additionalProperties:
                        type: integer
                        description: Count of cards with the corresponding status.
                      example:
                        active: 150
                        pending-issue: 20
                        expired: 5
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````